Skip to content

Update choice title

PUT
/multiple-choice/{id}/choice
curl --request PUT \
--url https://app.surveyrock.com/api/v1/multiple-choice/example/choice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "choiceId": "example", "questionId": "example", "newTitle": "example" }'

Update the title of a multiple choice option

id
required
string
>= 16 characters <= 16 characters

Multiple choice element ID

Choice update data

Media typeapplication/json
object
choiceId

Choice ID (null for new choice)

string
nullable
questionId
required

Question ID

string
>= 16 characters <= 16 characters
newTitle
required

New choice title

string
<= 255 characters
Examplegenerated
{
"choiceId": "example",
"questionId": "example",
"newTitle": "example"
}

Choice title updated successfully

Media typeapplication/json
object
success
boolean
data
object
newId
string
newTitle
string
updatedAt
string format: date-time
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": true,
"meta": {
"version": "3.0"
}
}

Validation failed

Media typeapplication/json

Validation error response with field-specific errors

object
success
boolean
error
object
code
string
message
string
suggestion
string
retryable
boolean
details

Field-specific validation errors

object
key
additional properties
Array<string>
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": false,
"error": {
"code": "validation_failed",
"message": "Validation failed",
"suggestion": "Fix the fields listed in details and re-submit.",
"retryable": false
},
"meta": {
"version": "3.0"
}
}